#include <bits/stdc++.h>
using namespace std;
void solve(){
	int l;
	int n;cin>>n>>l;
	for(int i = 1;i<=n;i++){
		int h;cin>>h;
		if(l>=h){
			cout<<i;
			return;
		}
	}
	cout<<-1;
}
int main(int argc, char** argv) {
	solve();
	return 0;
}